gnutls_x509_trust_list_deinit(3)

NAME
gnutls_x509_trust_list_deinit - API function

SYNOPSIS
#include <gnutls/x509.h>

void gnutls_x509_trust_list_deinit(gnutls_x509_trust_list_t list, unsigned int all);

ARGUMENTS

gnutls_x509_trust_list_t list
    The list to be deinitialized

unsigned int all
    if non-zero it will deinitialize all the certificates and CRLs contained in the structure.

DESCRIPTION
This function will deinitialize a trust list. Note that the
 all flag should be typically non-zero unless you have specified your certificates using gnutls_x509_trust_list_add_cas() and you want to prevent them from being deinitialized by this function.

SINCE
3.0.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/